#include "WiFiCalibrationScanDialog.h"


WiFiCalibrationScanDialog::WiFiCalibrationScanDialog(WiFiFingerprint& model) : model(model) {

	dlg->resize(300, 300);

	QGridLayout* lay = new QGridLayout(dlg);

	int row = 0;

	QPushButton* btnClear = new QPushButton(dlg);
	btnClear->setText("clear");
	btnClear->connect(btnClear, &QPushButton::clicked, [&] () {clear();});
	lay->addWidget(btnClear, row, 0, 1, 1);

	QPushButton* btnRecord = new QPushButton(dlg);
	btnRecord->setText("rec");
	btnRecord->connect(btnRecord, &QPushButton::clicked, [&] () {startRecord();});
	lay->addWidget(btnRecord, row, 2, 1, 1);

	++row;

	lay->addWidget(new QLabel("point"), row, 0, 1, 1);
	lblPoint = new QLabel();
	lay->addWidget(lblPoint, row, 1, 1, 2);

	++row;

	lay->addWidget(new QLabel("stats"), row, 0, 1, 1);
	lblStats = new QLabel();
	lay->addWidget(lblStats, row, 1, 1, 2);

	++row;

	barProg = new QProgressBar();
	lay->addWidget(barProg, row, 0, 1, 3);

	++row;

	QPushButton* btnCancel = new QPushButton(dlg);
	btnCancel->setText("cancel");
	btnCancel->connect(btnCancel, &QPushButton::clicked, [&] () {close();});
	lay->addWidget(btnCancel, row, 0, 1, 1);

	QPushButton* btnOK = new QPushButton(dlg);
	btnOK->setText("OK");
	btnOK->connect(btnOK, &QPushButton::clicked, [&] () {save(); close();});
	lay->addWidget(btnOK, row, 2, 1, 1);

}
